Rezepte
ReferenceShares

/api/v1/shares/by-recipe/{recipeId}

200 with share: null when the caller has no live public link for this recipe, or the recipe is unknown - not an error, so a page can call this on every view.

GET/api/v1/shares/by-recipe/{recipeId}
rezepte_session<token>

Session cookie set by POST /api/v1/auth/login.

In: cookie

Path Parameters

recipeId*string

Recipe id

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://example.com/api/v1/shares/by-recipe/string"
{  "$schema": "https://example.com/api/v1/schemas/MyShareBody.json",  "share": {    "$schema": "https://example.com/api/v1/schemas/Share.json",    "createdAt": "2019-08-24T14:15:22Z",    "createdBy": {      "color": "string",      "displayName": "string",      "id": "string"    },    "expiresAt": "2019-08-24T14:15:22Z",    "id": "string",    "path": "string",    "recipe": {      "id": "string",      "slug": "string",      "title": "string"    },    "status": "active"  }}